/****************************************************************************
 *                                                                          *
 * A small font library for the Empeg                                       *
 *                                                                          *
 * (c) 2001 Till Gerken, till@tantalo.net                                   *
 * This code is released under the GNU Public License.                      *
 * Parts are taken from Kim Salo, kim@remedy.fi                             *
 *                                                                          *
 * The VGA fonts have been copied from the plex86 VGA BIOS and are public   *
 * domain as per the file header.                                           *
 ****************************************************************************/

#define FONT_BLIT(fd)		ioctl((fd), _IO('d', 0))
#define FONT_DISPLAY(fd, x)	ioctl((fd), _IOW('d', 1, int), (x))

#define FONT_MAX_X			128
#define FONT_MAX_Y			32
#define FONT_DISPLAY_BYTES 	(FONT_MAX_X * FONT_MAX_Y >> 1)
#define FONT_MAX_INTENSITY	3

void font_set_pixel(unsigned char *buffer, int x, int y, unsigned char value);
int font_init();
int font_deinit();
int font_clear();
int font_blit();
int font_putch(int pos_x, int pos_y, char chr, char intensity);
int font_puts(int pos_x, int pos_y, char *str, char intensity);
